"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_native_1 = require("react-native");
var iosVersion12_1 = __importDefault(require("./iosVersion12"));
var iosVersion13_1 = __importDefault(require("./iosVersion13"));
exports.getDeviceModel = function (iosVersion) {
    var iosMajorVersion = getIosMajorVersionNumber(iosVersion);
    var matchedDeviceMapping = iosVersionDeviceMapping[iosMajorVersion];
    var availableDevices = getAllDeviceModels(matchedDeviceMapping);
    var _a = react_native_1.Dimensions.get("window"), height = _a.height, width = _a.width;
    return availableDevices.find(function (device) {
        return device.screenDimensions.has(width) && device.screenDimensions.has(height);
    });
};
exports.getDeviceOrientation = function () {
    var _a = react_native_1.Dimensions.get("window"), height = _a.height, width = _a.width;
    return width > height ? "landscape" : "portrait";
};
var getIosMajorVersionNumber = function (iosVersion) {
    var majorVersionNumber = iosVersion.trim().split(".")[0];
    return majorVersionNumber;
};
var iosVersionDeviceMapping = {
    12: __assign({}, iosVersion12_1.default),
    13: __assign({}, iosVersion13_1.default),
};
var getAllDeviceModels = function (mappingEntry) {
    var phoneDevices = mappingEntry.phoneDevices, tabletDevices = mappingEntry.tabletDevices;
    return phoneDevices.concat(tabletDevices);
};
