"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var closedKeyboardHandler = function (args, keyboardDimensions) {
    var event = args.event, updateKeyboardState = args.updateKeyboardState, deviceOrientation = args.deviceOrientation, deviceModel = args.deviceModel;
    var _a = keyboardDimensions[deviceOrientation], split = _a.split, docked = _a.docked, minimized = _a.minimized, floating = _a.floating;
    if (!deviceModel.isTablet) {
        if (event.eventType === "keyboardDidShow") {
            updateKeyboardState("DOCKED");
        }
        return;
    }
    if (event.eventType === "keyboardDidChangeFrame" &&
        event.endCoordinates.height === split) {
        updateKeyboardState("SPLIT");
        return;
    }
    if (event.eventType === "keyboardDidChangeFrame" &&
        event.endCoordinates.height === docked) {
        updateKeyboardState("UNDOCKED");
        return;
    }
    if (event.eventType === "keyboardDidChangeFrame" &&
        event.endCoordinates.height === floating) {
        updateKeyboardState("FLOATING");
        return;
    }
    if (event.eventType === "keyboardDidChangeFrame" &&
        event.endCoordinates.height === minimized) {
        updateKeyboardState("MINIMIZED");
        return;
    }
};
exports.default = closedKeyboardHandler;
