"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var floatingKeyboardHandler = function (args, keyboardDimensions) {
    var event = args.event, updateKeyboardState = args.updateKeyboardState, deviceOrientation = args.deviceOrientation;
    var _a = keyboardDimensions[deviceOrientation], docked = _a.docked, minimized = _a.minimized;
    if (event.eventType === "keyboardDidShow" &&
        event.endCoordinates.height === docked) {
        updateKeyboardState("DOCKED");
        return;
    }
    if (event.eventType === "keyboardDidShow" &&
        event.endCoordinates.height === minimized) {
        updateKeyboardState("MINIMIZED");
        return;
    }
    if (event.eventType === "keyboardDidChangeFrame" &&
        event.endCoordinates.height === 0) {
        updateKeyboardState("CLOSED");
        return;
    }
};
exports.default = floatingKeyboardHandler;
