"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var minimizedKeyboardHandler = function (args, keyboardDimensions) {
    var event = args.event, updateKeyboardState = args.updateKeyboardState, deviceOrientation = args.deviceOrientation;
    var _a = keyboardDimensions[deviceOrientation], split = _a.split, docked = _a.docked, floating = _a.floating;
    if (event.eventType === "keyboardDidHide" &&
        event.endCoordinates.height === 0) {
        updateKeyboardState("CLOSED");
        return;
    }
    if (event.eventType === "keyboardDidChangeFrame" &&
        event.endCoordinates.height === docked) {
        updateKeyboardState("UNDOCKED");
        return;
    }
    if (event.eventType === "keyboardDidChangeFrame" &&
        event.endCoordinates.height === floating) {
        updateKeyboardState("FLOATING");
        return;
    }
    if (event.eventType === "keyboardDidChangeFrame" &&
        event.endCoordinates.height === split) {
        updateKeyboardState("SPLIT");
        return;
    }
};
exports.default = minimizedKeyboardHandler;
