"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var splitKeyboardHandler = function (args, keyboardDimensions) {
    var event = args.event, updateKeyboardState = args.updateKeyboardState, deviceOrientation = args.deviceOrientation;
    var _a = keyboardDimensions[deviceOrientation], docked = _a.docked, minimized = _a.minimized, floating = _a.floating;
    if (event.eventType === "keyboardDidChangeFrame" &&
        event.endCoordinates.height === 0) {
        updateKeyboardState("CLOSED");
        return;
    }
    if (event.eventType === "keyboardDidChangeFrame" &&
        event.endCoordinates.height === docked) {
        updateKeyboardState("UNDOCKED");
        return;
    }
    if (event.eventType === "keyboardDidChangeFrame" &&
        event.endCoordinates.height === floating) {
        updateKeyboardState("FLOATING");
        return;
    }
    if (event.eventType === "keyboardDidShow" &&
        event.endCoordinates.height === minimized) {
        updateKeyboardState("MINIMIZED");
        return;
    }
};
exports.default = splitKeyboardHandler;
