import { DeviceOrientation, IDeviceModel, KeyboardDimensions } from "./device-dimensions/deviceDimensions";
import { IOSKeyboardEvent } from "./IOSKeyboardEvents";
export declare type KeyboardState = "CLOSED" | "MINIMIZED" | "DOCKED" | "UNDOCKED" | "SPLIT" | "FLOATING";
export declare type KeyboardTransitionHandlerType = (args: IKeyboardTransitionsArgs, keyboardDimensions: KeyboardDimensions) => void;
export interface IKeyboardTransitionsArgs {
    currentState: KeyboardState;
    event: IOSKeyboardEvent;
    deviceOrientation: DeviceOrientation;
    deviceModel: IDeviceModel;
    updateKeyboardState(nextState: KeyboardState): void;
}
declare const doKeyboardTransitions: (args: IKeyboardTransitionsArgs) => void;
export default doKeyboardTransitions;
