"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var closedKbTransitions_1 = __importDefault(require("./keyboard-transitions/closedKbTransitions"));
var dockedKbTransitions_1 = __importDefault(require("./keyboard-transitions/dockedKbTransitions"));
var floatingKbTransitions_1 = __importDefault(require("./keyboard-transitions/floatingKbTransitions"));
var minimizedKbTransitions_1 = __importDefault(require("./keyboard-transitions/minimizedKbTransitions"));
var splitKbTransitions_1 = __importDefault(require("./keyboard-transitions/splitKbTransitions"));
var undockedKbTransitions_1 = __importDefault(require("./keyboard-transitions/undockedKbTransitions"));
var doHandlerWithAdditionalDimensions_1 = require("./keyboard-transitions/utils/doHandlerWithAdditionalDimensions");
var keyboardActionsMap = {
    CLOSED: closedKbTransitions_1.default,
    DOCKED: dockedKbTransitions_1.default,
    UNDOCKED: undockedKbTransitions_1.default,
    MINIMIZED: minimizedKbTransitions_1.default,
    SPLIT: splitKbTransitions_1.default,
    FLOATING: floatingKbTransitions_1.default,
};
var doKeyboardTransitions = function (args) {
    var actionHandler = keyboardActionsMap[args.currentState];
    if (!actionHandler) {
        return;
    }
    // For iPad Pro (12.9-inch) (3rd generation) iOS v13 special case
    var shouldWrapFunction = doHandlerWithAdditionalDimensions_1.hasAdditionalKeyboardDimensions(args);
    if (shouldWrapFunction) {
        doHandlerWithAdditionalDimensions_1.doHandlerWithAdditionalDimensions(actionHandler, args);
        return;
    }
    actionHandler(args, args.deviceModel.keyboardDimensions);
};
exports.default = doKeyboardTransitions;
